Table of Contents

## Name

XtErrorMsg, XtSetErrorMsgHandler, XtWarningMsg, XtSetWarningMsgHandler - high-level error handlers

## Syntax

void XtErrorMsg(name, type, class, default, params, num_params)
String name;
String type;
String class;
String default;
String *params;
Cardinal *num_params;

void XtSetErrorMsgHandler(msg_handler)
XtErrorMsgHandler msg_handler;

void XtSetWarningMsgHandler(msg_handler)
XtErrorMsgHandler msg_handler;

void XtWarningMsg(name, type, class, default, params, num_params)
String name;
String type;
String class;
String default;
String *params;
Cardinal *num_params;

## Arguments

class
  Specifies the resource classCl.
default
  Specifies the default message to useDm.
name
  Specifies the general kind of error.
type
  Specifies the detailed name of the error. or the nonfatal error procedure, which usually returns
msg_handler
  Specifies the new fatal error procedure, which should not return.
num_params
  Specifies the number of values in the parameter list.
params
  Specifies a pointer to a list of values to be stored in the message.

## Description

The XtErrorMsg function has been superceded by XtAppErrorMsg.

The XtSetErrorMsgHandler function has been superceded by XtAppSetErrorMsgHandler.

The XtSetWarningMsgHandler function has been superceded by XtAppSetWarningMsgHandler.

The XtWarningMsg function has been superceded by XtAppWarningMsg

## See Also

X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also